<!DOCTYPE html>
<html $htmlmanifest;>
<head>
<title>$1</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta id="viewport" name="viewport" content="initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0, width=device-width, user-scalable=0">
<meta name="format-detection" content="telephone=no">
<meta name="apple-mobile-web-app-capable" content="yes" />
<link rel="apple-touch-icon" href="/blue/pic/hsyco-icon.png" />
<link rel="icon" href="/favicon.png" type="image/png" />
<style type="text/css">
$file:/blue/code/style.css;
$file:/blue/code/custom.css;
$file:custom.css;
</style>
<script type="text/javascript">
// initial config vars
var config = {
	"path" : "$path;",
	// container width, height, portrait, landscape
	"width" : [$size:width;, $size:width2|null;],
	"height" : [$size:height;, $size:height2|null;],
	"cameraWidth" : $camerasize:width|0;,
	"cameraHeight" : $camerasize:height|0;,
	"scale"  : $scale;,
	"uiset" : "$uiset;",
	"kiosk" : "$kiosk:mode|;"
}

// text dictionary
var textD = {
	"loginenterpin" : "$enterpin;",
	"loginenterpuk" : "$enterpuk;",
	"loginwait" : "$waitforauth;",

	"timer1" : "$timersettime;",
	"timer2" : "$timersetlen;",
	"timer3" : "$timersetdays;",
	"timer4" : "$timermin;",

	"error" : "$adminmessageerror;",

	"admin40" : "$adminmessagenotallowed;",
	"admin41" : "$adminmessageerror;",
	"admin42" : "$adminnewuser;",
	"admin43" : "$adminmessagelastlogin;",
	"admin44" : "$adminmessagefailures;",
	"admin45" : "$adminmessageip;",
	"admin50" : "$adminmessageerrornewname;",
	"admin51" : "$adminmessageerrorpin;",
	"admin52" : "$adminmessageerrorpuk;",
	"admin53" : "$adminmessageerrordupname;",
	"admin54" : "$adminmessageerrorduppin;",
	"admin55" : "$adminmessageerrornoself;",
	"admin56" : "$adminpwdmessagepassword;",
	"admin57" : "$adminpwdmessageverifyerror;",
	"admin58" : "$adminpwdconfirmed;",
	"admin59" : "$adminnetworkmessagenew;",
	"admin60" : "$adminnetworkmessageverifyerror;",
	"admin61" : "$adminnetworkconfirmorrollback;",
	"admin62" : "$adminnetworkconfirmed;",
	"admin63" : "$adminmessageerrorunoself;",

	"admin01" : "$adminclocksaved;",
	"adminTimesettings" : "$adminclocktimesettings;",
	"adminYear" : "$adminclockyear;",
	"adminMonth" : "$adminclockmonth;",
	"adminDay" : "$adminclockday;",
	"adminHour" : "$adminclockhour;",
	"adminMinute" : "$adminclockminute;",
	"adminDts" : "$adminclockdts;",
	"adminTimezone" : "$adminclocktimezone;",
	"adminAts" : "$adminclockats;",

	"keypad01" : "$keypadminmax;",
	"keypad02" : "$keypadvalue;",
	"keypad03" : "$keypaddigits;",
	"keypad04" : "$keypaderror;",

	"scheduler01" : "$schedulererror;",
	"scheduler02" : "$schedulererrorgroupmissing;",
	"scheduler03" : "$schedulererrorgroupnotvalid;",
	"scheduler04" : "$schedulererrordatemissing;",
	"scheduler05" : "$schedulererrordate;",
	"scheduler06" : "$schedulererrortime;",
	"scheduler07" : "$schedulererrordow;",

	"min" : "$min;",
	"avg" : "$avg;",
	"max" : "$max;",

	"day" : "$day;",
	"month" : "$month;",
	"year" : "$year;",
	"hour" : "$hour;",

	"daysShort" : "$daysinitialslist;".split(","),
	"days" : "$dayslist;".split(","),
	"monthsShort" : "$monthsinitialslist;".split(","),
	"months" : "$monthslist;".split(","),
	"timeunits" : "$timeunitsinitialslist;".split(","),

	"camemailpopupinput" : "$camemailpopupinput;",
	"camemailpopupbt" : "$camemailpopupbt;",
	"camemailpopupsending" : "$camemailpopupsending;",
	"camemailpopupsent" : "$camemailpopupsent;",

	"deviceState":{
		"on" : "$devicestateon;",
		"off" : "$devicestateoff;",
		"offdown" : "$devicestateoffdown;",
		"offup" : "$devicestateoffup;",
		"up" : "$devicestateup;",
		"down" : "$devicestatedown;",
		"unknown" : "$devicestateunknown;",
		"error" : "$devicestateerror;"
	}
};


var deviceImageDisabled = $deviceimage:disable|0;;
var interfaceLocked = $locked|false;;
var locations = $location:pages|null;;
var myCameras = [$camera:list;];
var myCamerasGridHeader = [$camera:gridlist;];
var myCamerasOverlay = [$camera:overlay;];
var projectScope = "$scope;";

var JSONState = $embed:jsonstate;
var JSONTopo = $embed:jsontopo;
var JSONConfig = $embed:jsonconfig;
</script>
</head>

<body id="hsycoremote" class="body">
<a name="pagetop"></a>

<div id="loading"><div><img src="/blue/pic/loadingpage.gif" width="40" height="40" onload="this.style.display='inline'" style="display:none"></div></div>

<div id="bg" class="bodyBackground"></div>

<div id="container" class="hsc container" data-type="project" data-id="$path;" style="display:none">
	<div id="popupcontainer" class="off">
		<div name="popup" class="popupFrame" role="group">
			<div name="panel" class="bg">
				<div name="titlec" class="header">
					<div name="title"></div>
				</div>
			</div>

			<div name="arrowback" class="arrow before"></div>
			<div name="arrow" class="arrow after"></div>
		</div>
		<div name="closebt" class="popupCloseBt" role="button" title="close popup">
			<div class="cButton alert">
				<img src="/blue/pic/popupclose.png">
			</div>
		</div>
	</div>

	<div id="pagescontainer" class="pagesContainer$(kiosk:mode) kiosk$()">
		<div id="popupbg" class="popupBg" role="group"></div>

		<!--  embedded pages -->
		<div data-id="epage:select" class="popupPage" data-type="popup" data-dirs="b,t,r,l" data-closebt="auto" data-frame="false" data-width="190" data-height="224">
			$((selectpanel!:selectpanel x-5y-10;auto;;;))
		</div>

		<div data-id="epage:date" class="popupPage" data-type="popup" data-closebt="auto" data-width="310" data-height="340">
			$((datepanel!:datepanel x-6y-7;;))
		</div>

		<div data-id="epage:time" class="popupPage" data-type="popup" data-closebt="auto" data-width="142" data-height="140">
			$((timepanel!:timepanel x-5y-5;;))
		</div>

		<div data-id="epage:keypad" class="popupPage" data-type="popup" data-closebt="auto" data-width="310" data-height="340">
			$((keypadpanel!:keypadpanel x-6y-8;;;;;;))
		</div>

		<div data-id="epage:timer" class="popupPage" data-type="popup" data-closebt="auto" data-width="250" data-height="240">
			$((timerpanel!:timerpanel ;x0y0;))
		</div>

		<div data-id="page:adminusers" class="popupPage adminPage users" data-type="popup" data-popuptype="modal" data-closebt="false" data-width="310" data-height="340">
			<div style="position:absolute; top:0px">
				<div name="data" class="data"></div>

				<label style="left: 7px; top: 7px;">User:</label>
				<div name="new">$((input!: x70y0;width:220px;input))</div>
				<div name="user">$((select!: x70y0;;;width:180px))</div>
				<div name="btnew" class="g3 btMicro cButton b" style="left:266px; top:-2px;"><span class="label"><span class="_m"><span class="_i">+</span></span></span></div>
				<div name="admin">$((checkbox!: x77y75;$adminpageadmin;;))</div>
				<label style="left: 7px; top: 117px;">Pin:</label>
				<div name="pin">$((input!: x70y110;width:65px;password))</div>
				<label style="left: 167px; top: 117px;">Puk:</label>
				<div name="puk">$((input!: x210y110;width:80px;password))</div>
				<div name="enabled">$((checkbox!: x77y145;$adminpageenabled;;))</div>
				<div name="delete">$((checkbox!: x230y145;$adminpagedelete;;))</div>
				<label style="width: 80px; left: 7px; top: 187px;">$adminpagepages;:</label>
				<div name="pages1">$((select!: x70y180;;;width:220px))</div>
				<div name="pages2">$((select!: x70y210;;;width:220px))</div>
				<div name="pages3">$((select!: x70y240;;;width:220px))</div>
			</div>

			<div name="error" class="errorLabel" style="top:275px"></div>

			<div name="btcancel" class="g3 btMini cButton b" style="left:3px; top:294px;"><span class="label"><span class="_m"><span class="_i">$cancel;</span></span></span></div>
			<div name="btsave" class="g3 btMini cButton b" style="left:235px; top:294px;"><span class="label"><span class="_m"><span class="_i">$adminpagesave;</span></span></span></div>
		</div>

		<div data-id="page:adminpassword" class="popupPage adminPage password" data-type="popup" data-popuptype="modal" data-closebt="false" data-width="310" data-height="340">
			<label style="width: 280px; left: 13px; top: 5px; text-align:justify">$adminpwdnotice;</label>
			<label style="text-align: right; width: 100px; right: 170px; top: 92px;">$adminpwdpasswordfield;:</label>
			<div name="password">$((input!: x160y85;width:130px;password))</div>
			<label style="text-align: right; width: 100px; right: 170px; top: 132px;">$adminpwdverifyfield;:</label>
			<div name="password2">$((input!: x160y125;width:130px;password))</div>

			<div name="error" class="errorLabel"></div>

			<div name="btcancel" class="g3 btMini cButton b" style="left:3px; top:294px;"><span class="label"><span class="_m"><span class="_i">$cancel;</span></span></span></div>
			<div name="btsave" class="g3 btMini cButton b" style="left:235px; top:294px;"><span class="label"><span class="_m"><span class="_i">$adminpagesave;</span></span></span></div>
		</div>

		<div data-id="page:adminnetwork" class="popupPage adminPage network" data-type="popup" data-popuptype="modal" data-closebt="false" data-width="310" data-height="340">
			<div style="position:absolute; width:100%; top:0px">
				<label style="width: 40px; left: 8px; top: 7px;">LAN 1</label>
				<label style="text-align: right; width: 107px; right: 155px; top: 7px;">IP Address:</label>
				<div name="address1">$((input!: x175y0;width:110px;input))</div>
				<label style="text-align: right; width: 100px; right: 155px; top: 37px;">Subnet Mask:</label>
				<div name="mask1">$((input!: x175y30;width:110px;input))</div>
				<label style="text-align: right; width: 100px; right: 155px; top: 67px;">Router:</label>
				<div name="router1">$((input!: x175y60;width:110px;input))</div>
				<label style="width: 40px; left: 8px; top: 107px;">LAN 2</label>
				<label style="text-align: right; width: 100px; right: 155px; top: 107px;">IP Address:</label>
				<div name="address2">$((input!: x175y100;width:110px;input))</div>
				<label style="text-align: right; width: 100px; right: 155px; top: 137px;">Subnet Mask:</label>
				<div name="mask2">$((input!: x175y130;width:110px;input))</div>
				<label style="text-align: right; width: 100px; right: 155px; top: 167px;">Router:</label>
				<div name="router2">$((input!: x175y160;width:110px;input))</div>
				<label style="width: 40px; left: 8px; top: 217px;">DNS:</label>
				<div name="dns1">$((input!: x45y210;width:110px;input))</div>
				<div name="dns2">$((input!: x175y210;width:110px;input))</div>
			</div>

			<div class="errorLabel" style="top:245; height:50px">
				<span class="_m">
					<div class="_i" name="error"></div>
				</span>
			</div>

			<div name="btcancel" class="g3 btMini cButton b" style="left:3px; top:294px;"><span class="label"><span class="_m"><span class="_i">$cancel;</span></span></span></div>
			<div name="btsave" class="g3 btMini cButton b" style="left:235px; top:294px;"><span class="label"><span class="_m"><span class="_i">$adminpagesave;</span></span></span></div>
		</div>

		<div data-id="page:adminclock" class="popupPage adminPage clock" data-type="popup" data-popuptype="modal" data-closebt="false" data-width="310" data-height="340">
			<div style="position:absolute; top:0px">
				<label style="width: 120px; left: 8px; top: 7px;">$adminclocktimesettings;</label>

				<div name="date">$((date!: x165y0;width:120px))</div>
				<div name="time">$((time!: x165y30;width:120px))</div>

				<label style="width: 160px; left: 8px; top: 95px;">$adminclockdts;</label>
				<label style="width: 160px; left: 8px; top: 140px;">$adminclockats;</label>
				<label style="width: 160px; left: 8px; top: 185px;">$adminclocktimezone;</label>

				<div name="dst" style="font-family:Helvetica; font-size:14px; position:absolute; width: 140px; left: 165px; top: 95px; overflow:hidden"></div>
				<div name="ats" style="font-family:Helvetica; font-size:14px; position:absolute; width: 140px; left: 165px; top: 140px; overflow:hidden"></div>
				<div name="timezone" style="font-family:Helvetica; font-size:13px; position:absolute; width: 140px; left: 165px; top: 185px; overflow:hidden"></div>
			</div>

			<div name="error" class="errorLabel"></div>

			<div name="btcancel" class="g3 btMini cButton b" style="left:3px; top:294px;"><span class="label"><span class="_m"><span class="_i">$cancel;</span></span></span></div>
			<div name="btsave" class="g3 btMini cButton b" style="left:235px; top:294px;"><span class="label"><span class="_m"><span class="_i">$adminpagesave;</span></span></span></div>
		</div>

		<div data-id="epage:cam-motions" class="popupPage cameraPopup" data-type="popup" data-dirs="b" data-xoffset="-77" data-width="186" data-height="0" data-closebt="false">
			<div name="contents" class="contents"></div>

			<div name="slider" class="cSlider vertical scrollbar">
				<div name="bg" class="bg"><image src="/blue/pic/empty.png" style="position:relative; height:100%; width:40px; left:-13px;"></div>
				<div name="ghost" class="ghost"></div>
				<div name="cursor" class="cursor cButton default3"><image src="/blue/pic/empty.png" style="position:relative; height:100%; width:40px; left:-13px;"></div>
			</div>

			<div name="btu" class="btup btMini cButton glass">
				<span class="label"><span class="_m"><span class="_i"><img src="/blue/pic/arrow-u.png"></span></span></span>
			</div>
			<div name="btd" class="btdown btMini cButton glass">
				<span class="label"><span class="_m"><span class="_i"><img src="/blue/pic/arrow-d.png"></span></span></span>
			</div>
		</div>

		<div data-id="epage:cam-send" class="popupPage" data-type="popup" data-popuptype="modal" data-width="310" data-height="250" data-closebt="false">
			$((selector /blue/pic/cambt-email.png; x50y0; 40; 40; popupcamera-snapshot; g-camera; ($camemailpopuptxt;); (left:-80px; white-space:nowrap; width:200px; text-align:center)))
			$((selector /blue/pic/cambt-video.png; x220y0; 40; 40; popupcamera-video; g-camera; ($camvideopopuptxt;); (left:-80px; white-space:nowrap; width:200px; text-align:center)))

			<hr class="sep" style="position:absolute; left:0px; top:70px; width:310px">

			$((container!popupcamera-snapshot x0y90))
				$((text!:camemailtxt x0y0; ; (width:310px; text-align:center;)))
				$((input!:camemail x25y41; width:245px;input))
				$((linkmini x3y114; b; back; $cancel;))
				$((linkmini x235y114; b; (code:cameras.sendFramePopup.sendEmail&#40;&#41;); $camemailpopupbt;))
			$((endofcontainer))
			$((container!popupcamera-video x0y90; hidden))
				$((text!:camvideotxt x0y0; ($camvideopopuptxt;); (width:310px; text-align:center;)))
				$((linkmini!:camvideocancelbt x3y114; b; back; $cancel;))
				$((linkmini!:camvideocreate x235y114; b; (code:cameras.sendFramePopup.createVideo&#40;&#41;); $camvideopopupbt;))
				$((linkmini!:camvideodownload x235y114; b; (code:cameras.sendFramePopup.downloadVideo&#40;&#41;); $camvideopopupbtd;))

				<div id="cameravideoprogressbar" class="progressbar" name="slider" style="left:28px; top:42px; width:248px; height:13px;">
					<span class="bg">
						<span class="bar" name="sliderbar" style=""></span>
					</span>
				</div>
			$((endofcontainer))
		</div>

		<div data-id="epage:slider" class="popupPage" data-type="popup" data-width="40" data-height="267" data-closebt="true">
			<div id="slider" class="slider" style="position:absolute; left:-2px; top:-10px;">
				<div name="slider" class="cSlider vertical" data-nogestures="true">
					<div name="label" class="label"></div>
					<div name="bar" class="bar"><div></div></div>
					<div class="bg"></div>
					<div name="ghost" class="ghost"></div>
					<div name="cursor" class="cursor cButton default3"></div>
				</div>
			</div>
		</div>

		<div data-id="epage:thumbnail" class="popupPage thumbnail" data-type="popup" data-width="92" data-height="79">
		$((camera!:thumbnail ; x-1y-5; 92; 70))
		</div>

		<div data-id="page:logout" class="popupPage" data-type="popup" data-popuptype="modal" data-closebt="true" data-width="310" data-height="340">
			<span style="position:absolute; left:30px; top:10px; width:250px; font-size:90%; text-align:justified;">$logoutsession;</span>
			<div class="g1 btStd cButton gr" style="left:110px; top:70px;" data-onclick="client.logout(false)" role="button"><span class="label"><span class="_m"><span class="_i">Logout</span></span></span></div>
			<span style="position:absolute; left:30px; top:150px; width:250px; font-size:90%; text-align:justified;">$logoutlock;</span>
			<div class="g1 btStd cButton alert" style="left:110px; top:210px;" data-onclick="client.logout(true)" role="button"><span class="label"><span class="_m"><span class="_i">Lock</span></span></span></div>

			<hr class="sep" style="position:absolute; width:100%; top:284px">
			<div class="g3 btMini cButton b" style="left:3px; top:294px;" data-onclick="client.pageBack()" role="button"><span class="label"><span class="_m"><span class="_i">$cancel;</span></span></span></div>
		</div>

		<div data-id="epage:pin" class="popupPage" data-type="popup" data-popuptype="modal" data-closebt="false" data-width="308" data-height="302">
			<div id="l_loginLabel"></div>
			<div id="l_loginCode"></div>
			<div id="l_loginKeypad">
				<div id="l_login3Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('3')" role="button"><span class="label big"><span class="_m"><span class="_i">3</span></span></span></div>
				<div id="l_login2Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('2')" role="button"><span class="label big"><span class="_m"><span class="_i">2</span></span></span></div>
				<div id="l_login1Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('1')" role="button"><span class="label big"><span class="_m"><span class="_i">1</span></span></span></div>

				<div id="l_login6Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('6')" role="button"><span class="label big"><span class="_m"><span class="_i">6</span></span></span></div>
				<div id="l_login5Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('5')" role="button"><span class="label big"><span class="_m"><span class="_i">5</span></span></span></div>
				<div id="l_login4Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('4')" role="button"><span class="label big"><span class="_m"><span class="_i">4</span></span></span></div>

				<div id="l_login9Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('9')" role="button"><span class="label big"><span class="_m"><span class="_i">9</span></span></span></div>
				<div id="l_login8Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('8')" role="button"><span class="label big"><span class="_m"><span class="_i">8</span></span></span></div>
				<div id="l_login7Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('7')" role="button"><span class="label big"><span class="_m"><span class="_i">7</span></span></span></div>

				<div id="l_loginOkBt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('k')" role="button"><span class="label big"><span class="_m"><span class="_i">OK</span></span></span></div>
				<div id="l_login0Bt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('0')" role="button"><span class="label big"><span class="_m"><span class="_i">0</span></span></span></div>
				<div id="l_loginCBt" class="btKeypad cButton b" style="margin:4px;" data-onclick="login.onButton('c')" role="button" title="backspace"><span class="label big"><span class="_m"><span class="_i"><img width="27" height="27" src="/blue/pic/iconbackspace.png"></span></span></span></div>
				<br style="clear:both">
			</div>
		</div>

		<!-- custom pages -->
